<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-collapsible
  [(appCollapsed)]="appCollapsed"
  [appTitle]="'details.linkedStatements.title' | translate">

  <div *ngIf="(parents$ | async)?.length > 0 || (children$ | async)?.length > 0"
       style="padding: 1em;">
    <app-linked-statements
      [appChildren]="children$ | async"
      [appParents]="parents$ | async"
      [appStatementTypeOptions]="statementTypeOptions$ | async">
    </app-linked-statements>
  </div>

  <div *ngIf="!((parents$ | async)?.length > 0 || (children$ | async)?.length > 0)"
       class="placeholder">
    {{"details.linkedStatements.placeholder" | translate}}
  </div>

</app-collapsible>
